OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Variables
extmidi.cpp File Reference

Playing music via an external player. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../string_func.h"`
`#include "../sound/sound_driver.hpp"`
`#include "../video/video_driver.hpp"`
`#include "../gfx_func.h"`
`#include "extmidi.h"`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include "../safeguards.h"`

Go to the source code of this file.

## Macros
#define | EXTERNAL_PLAYER "timidity"
| The default external midi player.

## Variables
static FMusicDriver_ExtMidi | iFMusicDriver_ExtMidi
| Factory for the midi player that uses external players.

## Detailed Description

Playing music via an external player.

Definition in file extmidi.cpp.

## Macro Definition Documentation

#define EXTERNAL_PLAYER "timidity"

The default external midi player.

Definition at line 31 of file extmidi.cpp.

Referenced by MusicDriver_ExtMidi::Start().

## Variable Documentation

FMusicDriver_ExtMidi iFMusicDriver_ExtMidi
| static

Factory for the midi player that uses external players.

Definition at line 35 of file extmidi.cpp.